Package org.stianloader.micromixin.transform.internal.util

## Class CodeCopyUtil

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.CodeCopyUtil

-     public class CodeCopyUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CodeCopyUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.objectweb.asm.tree.MethodNode` | `copyHandler​(org.objectweb.asm.tree.MethodNode source, MixinStub sourceStub, org.objectweb.asm.tree.ClassNode target, SimpleRemapper remapper, MultiplexLineNumberAllocator lineAllocator, MixinLoggingFacade logger)` |
    `static void` | `copyOverwrite​(MixinStub sourceStub, org.objectweb.asm.tree.MethodNode source, org.objectweb.asm.tree.ClassNode targetClass, org.objectweb.asm.tree.MethodNode target, SimpleRemapper remapper, MultiplexLineNumberAllocator lineAllocator, MixinLoggingFacade logger)` |
    `static void` | `copyOverwrite​(MixinStub sourceStub, org.objectweb.asm.tree.MethodNode source, org.objectweb.asm.tree.ClassNode targetClass, org.objectweb.asm.tree.MethodNode target, SimpleRemapper remapper, MultiplexLineNumberAllocator lineAllocator, MixinLoggingFacade logger, boolean brokenInvokestaticRemapping)` |
    `static void` | `copyTo​(org.objectweb.asm.tree.MethodNode source, org.objectweb.asm.tree.AbstractInsnNode startInInsn, org.objectweb.asm.tree.AbstractInsnNode endInInsn, MixinStub sourceStub, org.objectweb.asm.tree.MethodNode output, org.objectweb.asm.tree.AbstractInsnNode previousOutInsn, org.objectweb.asm.tree.ClassNode targetClass, SimpleRemapper remapper, MultiplexLineNumberAllocator lineAllocator, java.util.Map<org.objectweb.asm.tree.LabelNode,​org.objectweb.asm.tree.LabelNode> labelMap, boolean transformReturnToJump, boolean invalidInvokestaticRemapping)` |
    `static org.objectweb.asm.tree.AbstractInsnNode` | `duplicateRemap​(org.objectweb.asm.tree.AbstractInsnNode in, SimpleRemapper remapper, LabelNodeMapper labelNodeMapper, java.lang.StringBuilder sharedBuilder, boolean invalidInvokestaticRemapping)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CodeCopyUtil

          public CodeCopyUtil()

  - ### Method Detail

    - #### copyHandler

          @NotNull
          public static org.objectweb.asm.tree.MethodNode copyHandler​(@NotNull
                                                                      org.objectweb.asm.tree.MethodNode source,
                                                                      @NotNull
                                                                      MixinStub sourceStub,
                                                                      @NotNull
                                                                      org.objectweb.asm.tree.ClassNode target,
                                                                      @NotNull
                                                                      SimpleRemapper remapper,
                                                                      @NotNull
                                                                      MultiplexLineNumberAllocator lineAllocator,
                                                                      @NotNull
                                                                      MixinLoggingFacade logger)

    - #### copyOverwrite

          public static void copyOverwrite​(@NotNull
                                           MixinStub sourceStub,
                                           @NotNull
                                           org.objectweb.asm.tree.MethodNode source,
                                           @NotNull
                                           org.objectweb.asm.tree.ClassNode targetClass,
                                           @NotNull
                                           org.objectweb.asm.tree.MethodNode target,
                                           @NotNull
                                           SimpleRemapper remapper,
                                           @NotNull
                                           MultiplexLineNumberAllocator lineAllocator,
                                           @NotNull
                                           MixinLoggingFacade logger)

    - #### copyOverwrite

          public static void copyOverwrite​(@NotNull
                                           MixinStub sourceStub,
                                           @NotNull
                                           org.objectweb.asm.tree.MethodNode source,
                                           @NotNull
                                           org.objectweb.asm.tree.ClassNode targetClass,
                                           @NotNull
                                           org.objectweb.asm.tree.MethodNode target,
                                           @NotNull
                                           SimpleRemapper remapper,
                                           @NotNull
                                           MultiplexLineNumberAllocator lineAllocator,
                                           @NotNull
                                           MixinLoggingFacade logger,
                                           boolean brokenInvokestaticRemapping)

    - #### copyTo

          public static void copyTo​(@NotNull
                                    org.objectweb.asm.tree.MethodNode source,
                                    @NotNull
                                    org.objectweb.asm.tree.AbstractInsnNode startInInsn,
                                    @NotNull
                                    org.objectweb.asm.tree.AbstractInsnNode endInInsn,
                                    @NotNull
                                    MixinStub sourceStub,
                                    @NotNull
                                    org.objectweb.asm.tree.MethodNode output,
                                    @NotNull
                                    org.objectweb.asm.tree.AbstractInsnNode previousOutInsn,
                                    @NotNull
                                    org.objectweb.asm.tree.ClassNode targetClass,
                                    @NotNull
                                    SimpleRemapper remapper,
                                    @NotNull
                                    MultiplexLineNumberAllocator lineAllocator,
                                    @NotNull
                                    java.util.Map<org.objectweb.asm.tree.LabelNode,​org.objectweb.asm.tree.LabelNode> labelMap,
                                    boolean transformReturnToJump,
                                    boolean invalidInvokestaticRemapping)

    - #### duplicateRemap

          @Nullable
          public static org.objectweb.asm.tree.AbstractInsnNode duplicateRemap​(@NotNull
                                                                               org.objectweb.asm.tree.AbstractInsnNode in,
                                                                               @NotNull
                                                                               SimpleRemapper remapper,
                                                                               @NotNull
                                                                               LabelNodeMapper labelNodeMapper,
                                                                               @NotNull
                                                                               java.lang.StringBuilder sharedBuilder,
                                                                               boolean invalidInvokestaticRemapping)